<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <vehicle-demand-count-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></vehicle-demand-count-form>
  </j-modal>
</template>

<script>

  import VehicleDemandCountForm from './VehicleDemandCountForm'
  export default {
    name: 'VehicleDemandCountModal',
    components: {
      VehicleDemandCountForm
    },
    data () {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(val){
        this.$emit('ok',val);
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>